Subject: [6lowpan] Fwd: New Version Notification for draft-ietf-6lowpan-hc-05

From: Jonathan Hui <[email-masked]>
Date: Tue, 30 Jun 2009 10:14:58 -0700

Hi everyone,

Below is a summary of changes in this draft. Please send comments.  
Thanks.

1) Specify use of context 0 when CID is 0.
- addresses ticket #32

2) Made prefix-based multicast encoding format more explicit for   
clarity.
- addresses ticket #33

3) Indicate that first 64-bits is link-local prefix padded with zeros  
when link-local prefix is elided.
- addresses ticket #34

4) Full 128-bit address inline only in stateless encoding.
- Removes encoding redundancy and doesn't make sense to allow a non- 
stateful mode when stateful compression is specified.

5) Removed support for compressing unspecified address.
- Falls out of change (4). Unspecified address probably won't be used  
much since we are changing how DAD works in 6LoWPAN networks.

6) Added support for IPv6 Extension Headers as well as IP-in-IP with  
new LOWPAN_NHC encodings.
- Mostly what we talked about at the SF meeting.

7) Allow for completely stateful compression.
- Changed wording around stateful compression so that inline bits can  
be used as an additional index to identify the compressed address.

--
Jonathan Hui

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: June 30, 2009 10:05:12 AM PDT
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for draft-ietf-6lowpan-hc-05
>
>
> A new version of I-D, draft-ietf-6lowpan-hc-05.txt has been  
> successfuly submitted by Jonathan Hui and posted to the IETF  
> repository.
>
> Filename:	 draft-ietf-6lowpan-hc
> Revision:	 05
> Title:		 Compression Format for IPv6 Datagrams in 6LoWPAN Networks
> Creation_date:	 2009-06-30
> WG ID:		 6lowpan
> Number_of_pages: 19
>
> Abstract:
> This document specifies an IPv6 header compression format for IPv6
> packet delivery in 6LoWPAN networks.  The compression format relies
> on shared context to allow compression of arbitrary prefixes.  The
> information that is maintained in that shared context is out of
> scope.  This document specifies compression of multicast addresses
> and a framework for compressing next headers.  This framework
> specifies UDP compression and is prepared for additional transports.
>
>
>
> The IETF Secretariat.
>
>